Description: Patch out dep on clang-format and cmake constraint
 + tiledb-py is able to build with cmake 3.23 in the archive, hence remove version pinning
 + Remove dep on clang-format - this is only a formatter, while it definitely makes sense to run this upstream, its
   functionalities are not relevant for us as downstream since we do not do code-formatting in upstream code.
 + Dep on black is also being removed for similar reasons as clang-format
 + Remove hard < 59.5.0 dep on setuptools, it can work fine with the 59.6.0 version currently in debian
 + Remove contextvars and dataclasses since they are internal to python -- if something changes there, we will see
Author: Nilesh Patra <nilesh@debian.org>
Forwarded: not-needed
Last-Update: 2022-05-15
--- a/requirements_dev.txt
+++ b/requirements_dev.txt
@@ -3,11 +3,11 @@
 # ------------------------------------------------
 # ** MUST sync with misc/requirements_wheel.txt **
 # ------------------------------------------------
-cmake >= 3.23
+#cmake >= 3.23
 cython >= 0.27
 pybind11 >= 2.6.2
-setuptools>=42,<=58.3.0
+setuptools>=42
 setuptools_scm >= 1.5.4
 wheel >= 0.30
-contextvars ;python_version<"3.7"
-dataclasses ;python_version<"3.7"
+#contextvars ;python_version<"3.7"
+#dataclasses ;python_version<"3.7"
